res_lib_cfg_ringstatusget Struct Reference

The res_lib_cfg_ringstatusget struct. More...

`#include <ipc_cfg.h>`

## Public Member Functions

struct qb_ipc_response_header header | __attribute__ ((aligned(8)))
mar_uint32_t interface_count | __attribute__ ((aligned(8)))
char interface_name[CFG_MAX_INTERFACES][CFG_INTERFACE_NAME_MAX_LEN] | __attribute__ ((aligned(8)))
char interface_status[CFG_MAX_INTERFACES][CFG_INTERFACE_STATUS_MAX_LEN] | __attribute__ ((aligned(8)))

## Detailed Description

The res_lib_cfg_ringstatusget struct.

Definition at line 101 of file ipc_cfg.h.

## Member Function Documentation

## __attribute__() [1/4]

char interface_status[CFG_MAX_INTERFACES][CFG_INTERFACE_STATUS_MAX_LEN] res_lib_cfg_ringstatusget::__attribute__ | ( | (aligned(8)) |  | ) |

References CFG_INTERFACE_STATUS_MAX_LEN, and CFG_MAX_INTERFACES.

## __attribute__() [2/4]

char interface_name[CFG_MAX_INTERFACES][CFG_INTERFACE_NAME_MAX_LEN] res_lib_cfg_ringstatusget::__attribute__ | ( | (aligned(8)) |  | ) |

References CFG_INTERFACE_NAME_MAX_LEN, and CFG_MAX_INTERFACES.

## __attribute__() [3/4]

mar_uint32_t interface_count res_lib_cfg_ringstatusget::__attribute__ | ( | (aligned(8)) |  | ) |

## __attribute__() [4/4]

struct qb_ipc_response_header header res_lib_cfg_ringstatusget::__attribute__ | ( | (aligned(8)) |  | ) |

References __attribute__(), and header.

Referenced by __attribute__().

The documentation for this struct was generated from the following file:

- ipc_cfg.h